package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.HyDictionary;
import com.ruoyi.system.domain.GtInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 参数配置 数据层
 *
 * @author ruoyi
 */
@Repository
public interface YtjMapper {

    int IfExistsRen(String sfzh);

    int SubmitCard(@Param("sfzm") String sfzm, @Param("tximg") String tximg, @Param("sfzh") String sfzh, @Param("sfzdz") String sfzdz, @Param("sjhm") String sjhm, @Param("djrq") String djrq);

    int UpdateCard(@Param("sfzm") String sfzm, @Param("tximg") String tximg, @Param("sfzh") String sfzh, @Param("sfzdz") String sfzdz, @Param("sjhm") String sjhm, @Param("djrq") String djrq);

    List<Map> GetQh();

    List<Map> GetQu(String pid);

    List<Map> GetUserCard(String hm);

    List<Map> GetUserPhone(String hm);

    List<Map> GetHy();

    String GetHyname(String pid);

    List<HyDictionary> GetChildHy(String pid);

    List<HyDictionary> selectHyDictionaryList();

    List<HyDictionary> GetHymc(String name);

    List<HyDictionary> GetZzxx(String name);

    Integer CheckPinYin(@Param("cc") String cc, @Param("py") String py);

    String Check(HttpServletRequest request);

    List<Map> GetFw(String ID);

    List<HyDictionary> GetID(String a);

    List<Map> GetCailiao(String hyid);

    int SendCailiao(@Param("bsid") String bsid, @Param("clname") String clname, @Param("clindex") String clindex, @Param("clsrc") String clsrc, @Param("now") String now);

    int DelCailiao(@Param("bsid") String bsid, @Param("clname") String clname, @Param("clindex") String clindex);

    String gehy2(String hy);

    String getname(String str);

    int SubmitForm(@Param("info") GtInfo info);

    int GetShenHeNum();

    String selectByRemark(String remark);

	Map GetCardInfo(String hm);

	List<Map> setRedis();
}
